com.mysql.cj.xdevapi

## Enum UpdateType

- java.lang.Object
- - java.lang.Enum<UpdateType>
  - - com.mysql.cj.xdevapi.UpdateType

All Implemented Interfaces:
  Serializable, Comparable<UpdateType>

    public enum UpdateType
    extends Enum<UpdateType>

Update operation type.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ARRAY_APPEND`
`ARRAY_INSERT`
`ITEM_MERGE`
`ITEM_REMOVE`
`ITEM_REPLACE`
`ITEM_SET`
`MERGE_PATCH`
`SET`

### Method Summary

All Methods Static Methods Concrete Methods
`static UpdateType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UpdateType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SET

    public static final UpdateType SET

#### ITEM_REMOVE

    public static final UpdateType ITEM_REMOVE

#### ITEM_SET

    public static final UpdateType ITEM_SET

#### ITEM_REPLACE

    public static final UpdateType ITEM_REPLACE

#### ITEM_MERGE

    public static final UpdateType ITEM_MERGE

#### ARRAY_INSERT

    public static final UpdateType ARRAY_INSERT

#### ARRAY_APPEND

    public static final UpdateType ARRAY_APPEND

#### MERGE_PATCH

    public static final UpdateType MERGE_PATCH

### Method Detail

#### values

    public static UpdateType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (UpdateType c : UpdateType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static UpdateType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

Copyright © 2016, 2023, Oracle and/or its affiliates.